package com.hfkj.service.sec;

import com.hfkj.entity.SecDictionary;

import java.util.List;

/**
 * @className: SecDictionaryService
 * @author: HuRui
 * @date: 2024/4/23
 **/
public interface SecDictionaryService {

    /**
     * 修改
     * @param dictionary
     */
    void update(SecDictionary dictionary);
    /**
     * 获取数据字典
     * @return
     */
    List<SecDictionary> getDictionary();

    /**
     * 获取数据字典
     * @param codeType
     * @return
     */
    List<SecDictionary> getDictionary(String codeType);

    /**
     * 获取数据字典
     * @param codeType
     * @param codeValue
     * @return
     */
    SecDictionary getDictionary(String codeType, String codeValue);

    /**
     * 清楚缓存
     */
    void cleanCache();

}
